Summary: Native MySQL API using Sequoia
Name: libmysequoia
Version: 0.9.8 
Release: 1

License: Apache License v2.0
Group: Development/Libraries
Vendor: Continuent, Inc 
Packager: Csaba Simon <csaba.simon@continuent.com>
Url: http://continuent.org/

Source: %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Reimplementation of libmysqlclient library, using Carob to benefit from
clustering. So, native mysql client programs can use the Sequoia clustering
product without changing any line of code in the application.

%package devel
Summary: Native MySQL API using Sequoia, static libraries
Group: Development/Libraries
Requires: %{name} = %{version}, mysql-devel

%description devel
Reimplementation of libmysqlclient library, using Carob to benefit from
clustering. So, native mysql client programs can use the Sequoia clustering
product without changing any line of code in the application.

%prep
rm -rf build41 build50 $RPM_BUILD_ROOT

%setup
mkdir -p build41 build50

# configure with MySQL 4.1 headers
pushd build41
CXXFLAGS="$RPM_OPT_FLAGS" ../configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}/mysequoia \
	--sysconfdir=%{_sysconfdir}/mysequoia \
	--disable-cppunit \
	--disable-gcov \
	--with-mysql-headers=/usr/local/mysql/41
popd

# configure with MySQL 5.0 headers
pushd build50
CXXFLAGS="$RPM_OPT_FLAGS" ../configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}/mysequoia \
	--sysconfdir=%{_sysconfdir}/mysequoia \
	--disable-cppunit \
	--disable-gcov \
	--with-mysql-headers=/usr/local/mysql/50
popd

%build
# build with MySQL 4.1 headers
pushd build41
make
popd

# build with MySQL 5.0 headers
pushd build50
make
popd

%install
rm -rf $RPM_BUILD_ROOT

# install the 4.1 build
pushd build41
make DESTDIR=$RPM_BUILD_ROOT install
popd

# install the 5.0 build
pushd build50
make DESTDIR=$RPM_BUILD_ROOT install
popd

install -d -m 0755 $RPM_BUILD_ROOT/etc/ld.so.conf.d 
echo "%{_libdir}/mysequoia" > $RPM_BUILD_ROOT/etc/ld.so.conf.d/mysequoia-i386.conf

# install the documentation
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
install -m 644 NEWS README COPYING $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,644)
%attr(644,root,root) /etc/ld.so.conf.d/mysequoia-i386.conf
%attr(644,root,root) %{_sysconfdir}/mysequoia/logger.conf
%attr(644,root,root) %{_sysconfdir}/mysequoia/mysequoia.conf
%attr(755,root,root) %{_libdir}/mysequoia/lib*.so.*
%attr(644,root,root) %{_docdir}/*

%files devel
%defattr(-,root,root,644)
%attr(755,root,root) %{_bindir}/mysequoia_config
%attr(644,root,root) %{_libdir}/mysequoia/*.a
%attr(644,root,root) %{_libdir}/mysequoia/*.la
%attr(755,root,root) %{_libdir}/mysequoia/lib*.so
