/*
 * Sequoia: Database clustering technology.
 * Copyright (C) 2005-2006 Continuent, Inc.
 * Contact: sequoia@continuent.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License")
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Initial developer(s): Csaba Simon
 * Contributor(s): 
 */

#include "TestConverter.hpp"

#include <string>
#include <iostream>

using namespace std;
 
CPPUNIT_TEST_SUITE_REGISTRATION (TestConverter);
 
void TestConverter::setUp(void)
{
}

void TestConverter::tearDown(void) 
{
}

void TestConverter::latin1(void)
{
  string s_in, s_out;
  wstring ws;
  
  for (int i = 0; i < 129; i++)
    s_in += (char)i;
  
  for (int i = 130; i < 141; i++)
  	s_in += (char)i;
  	
  for (int i = 142; i < 143; i++)
  	s_in += (char)i;  

  for (int i = 145; i < 157; i++)
  	s_in += (char)i;  

  for (int i = 158; i < 256; i++)
  	s_in += (char)i;  

  Converter conv("latin1");
  // convert to wchar_t
  ws = conv.to_wstring(s_in);
  // convert back to latin1
  s_out = conv.from_wstring(ws);
    
  CPPUNIT_ASSERT_EQUAL (s_in, s_out);
}
